Redraw Multiple Items
-
Hey Everyone,
I thought I would come see whats happening on this Topic,
I use sketchup to create Accurate ordering,
Some times I will need to change a forumlar of a component thier is multiples of at different lengths,
If i change my formula it changes the formulas across all the components but it does not update the figure untill you use the redraw button,
is thier a way to have all items automatically update, or does a tool exist to highlight all components and do it with one hit of the button?
cheers,
AHS
-
perhaps you could make your own?
a ruby snippet: either use ent or sel
test in the ruby console` mod = Sketchup.active_model # Open model
ent = mod.entities # All entities in model
sel = mod.selection # Current selectiondcs = $dc_observers.get_latest_class
ent.each { |e|
if e.is_a? Sketchup::ComponentInstance
dcs.redraw_with_undo(e)
end}`
Advertisement